Update an External Secrets Manager
Updates the configuration of an existing External Secrets Manager instance.
Request schema
Path parameters
The unique identifier of the External Secrets Manager instance.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
Provider-specific configuration object. For AWS_SECRET_MANAGER: role_arn (required). For AZURE_KEY_VAULT: vault_url (required), tenant_id (required for SaaS). For HASHICORP_VAULT: vault_address (required), role_id and secret_id (required for SaaS), namespace (optional).
PATCH /v1/external-secrets-managers/lucky_tiger HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 18 { "config": {} }
Responses
200
Response status code
Response status text
The unique identifier of the External Secrets Manager instance.
The ESM provider type
The name of the ESM instance
Provider-specific configuration.
additional property
Whether this External Secrets Manager instance is compatible with Hybrid Deployment environments.
The timestamp when the ESM instance was created.
The timestamp when the ESM instance was last updated.
{ "code": "Success", "message": "Resource updated successfully", "data": { "id": "lucky_tiger", "type": "AWS_SECRET_MANAGER", "name": "My AWS Secrets Manager", "config": { "property1": {}, "property2": {} }, "is_hybrid_deployment": true, "created_at": "2026-05-20T00:00:00Z", "updated_at": "2026-05-20T00:00:00Z" } }